#include "bkl-source.h"

gboolean
bkl_source_do_work (BklSource *source)
{
    if (source->do_work) {
        return source->do_work (source);
    }

    return FALSE;
}

void
bkl_source_investigate_files (BklSource *source,
                              GPtrArray *files)
{
    if (source->investigate_files) {
        source->investigate_files (source, files);
    }
}

gboolean
bkl_source_add_item (BklSource  *source,
                     const char *uri,
                     BklItem    *item,
                     GError    **error)
{
    if (source->add_item) {
        source->add_item (source, uri, item, error);
    }
}

void
bkl_source_destroy (BklSource *source)
{
    if (source->destroy) {
        source->destroy (source);
    }
}
